org.apache.http.client.utils

## Enum URIUtils.UriFlag

- java.lang.Object
- - java.lang.Enum<URIUtils.UriFlag>
  - - org.apache.http.client.utils.URIUtils.UriFlag

All Implemented Interfaces:
  Serializable, Comparable<URIUtils.UriFlag>

Enclosing class:
  URIUtils

    public static enum URIUtils.UriFlag
    extends Enum<URIUtils.UriFlag>

Flags that control how URI is being rewritten.

Since:
  4.5.8

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DROP_FRAGMENT`
`NORMALIZE`

### Method Summary

Methods
`static URIUtils.UriFlag` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static URIUtils.UriFlag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DROP_FRAGMENT

    public static final URIUtils.UriFlag DROP_FRAGMENT

#### NORMALIZE

    public static final URIUtils.UriFlag NORMALIZE

### Method Detail

#### values

    public static URIUtils.UriFlag[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (URIUtils.UriFlag c : URIUtils.UriFlag.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static URIUtils.UriFlag valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null